<style type="text/css">
		<!--
		A:link        {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: none; color: #0000ff}
		A:visited     {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: none; color: #0000ff}
		A:hover       {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: underline; color: #FF0000}
		th            {font-family: helvetica, arial; color : blue; font-size:85%; background : lightgrey; border-right:black solid 1pt; border-bottom:black solid 1pt;}
		//-->
		</style><hr><a name="_C_GANTTGRAPH"><div style="background-color:yellow;font-family:courier new;"></a>CLASS <b>GanttGraph</b> EXTENDS <a href="Graph.html#_C_GRAPH" style="font-face:arial;font-weight:bold;">Graph</a></div>
<i>(Defined in: jpgraph_gantt.php : 327)</i><table border=1><tr><td>&nbsp;<a href="GanttGraph.html" style="font-family:arial;font-weight:bold;color:darkblue;">GanttGraph</a>&nbsp;</td><td>&nbsp;<a href="Graph.html" style="font-family:arial;font-weight:bold;color:darkblue;">Graph</a>&nbsp;</td></tr><tr><td valign=top>&nbsp;<a href="GanttGraph.html#_GANTTGRAPH_ADD">Add()</a>&nbsp;<br>
&nbsp;<a href="GanttGraph.html#_GANTTGRAPH_CREATESIMPLE">CreateSimple()</a>&nbsp;<br>
&nbsp;<a href="GanttGraph.html#_GANTTGRAPH_GANTTGRAPH">GanttGraph()</a>&nbsp;<br>
&nbsp;<a href="GanttGraph.html#_GANTTGRAPH_SETDATERANGE">SetDateRange()</a>&nbsp;<br>
&nbsp;<a href="GanttGraph.html#_GANTTGRAPH_SETLABELVMARGINFACTOR">SetLabelVMarginFactor()</a>&nbsp;<br>
&nbsp;<a href="GanttGraph.html#_GANTTGRAPH_SETSIMPLEFONT">SetSimpleFont()</a>&nbsp;<br>
&nbsp;<a href="GanttGraph.html#_GANTTGRAPH_SETSIMPLESTYLE">SetSimpleStyle()</a>&nbsp;<br>
&nbsp;<a href="GanttGraph.html#_GANTTGRAPH_SETVMARGINFACTOR">SetVMarginFactor()</a>&nbsp;<br>
&nbsp;<a href="GanttGraph.html#_GANTTGRAPH_SHOWHEADERS">ShowHeaders()</a>&nbsp;<br>
&nbsp;<a href="GanttGraph.html#_GANTTGRAPH_STROKE">Stroke()</a>&nbsp;<br>
</td><td valign=top><a href="Graph.html#_GRAPH_ADD" style="color:darkgrey;">Add()&nbsp;</a><br>
&nbsp;<a href="Graph.html#_GRAPH_ADDBAND">AddBand()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_ADDLINE">AddLine()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_ADDTEXT">AddText()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_ADDY">AddY()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_ADDY2">AddY2()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_ADJBACKGROUNDIMAGE">AdjBackgroundImage()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_ADJIMAGE">AdjImage()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_CHECKCSIMCACHE">CheckCSIMCache()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_GETHTMLIMAGEMAP">GetHTMLImageMap()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_GRAPH">Graph()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SET3DPERSPECTIVE">Set3DPerspective()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SET90ANDMARGIN">Set90AndMargin()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETALPHABLENDING">SetAlphaBlending()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETANGLE">SetAngle()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETAXISSTYLE">SetAxisStyle()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETBACKGROUNDCFLAG">SetBackgroundCFlag()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETBACKGROUNDCOUNTRYFLAG">SetBackgroundCountryFlag()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETBACKGROUNDGRADIENT">SetBackgroundGradient()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETBACKGROUNDIMAGE">SetBackgroundImage()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETBACKGROUNDIMAGEMIX">SetBackgroundImageMix()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETBOX">SetBox()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETCLIPPING">SetClipping()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETCOLOR">SetColor()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETFRAME">SetFrame()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETFRAMEBEVEL">SetFrameBevel()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETGRIDDEPTH">SetGridDepth()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETICONDEPTH">SetIconDepth()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETMARGIN">SetMargin()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETMARGINCOLOR">SetMarginColor()</a>&nbsp;<br>
<a href="Graph.html#_GRAPH_SETSCALE" style="color:darkgrey;">SetScale()&nbsp;</a><br>
&nbsp;<a href="Graph.html#_GRAPH_SETSHADOW">SetShadow()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETTEXTSCALEABSCENTEROFF">SetTextScaleAbsCenterOff()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETTICKDENSITY">SetTickDensity()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETTITLEBACKGROUND">SetTitleBackground()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETTITLEBACKGROUNDFILLSTYLE">SetTitleBackgroundFillStyle()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETY2ORDERBACK">SetY2OrderBack()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETY2SCALE">SetY2Scale()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETYDELTADIST">SetYDeltaDist()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_SETYSCALE">SetYScale()</a>&nbsp;<br>
<a href="Graph.html#_GRAPH_STROKE" style="color:darkgrey;">Stroke()&nbsp;</a><br>
&nbsp;<a href="Graph.html#_GRAPH_STROKECSIM">StrokeCSIM()</a>&nbsp;<br>
&nbsp;<a href="Graph.html#_GRAPH_STROKEFRAMEBACKGROUND">StrokeFrameBackground()</a>&nbsp;<br>
</td></tr></table>&nbsp;<p><div style="font-weight:bold;font-family:arial;font-size:100%;">Class usage and Overview</div>Create a Gantt graph. The Gantt graph can then be built up by adding activity bars and milestones. <p> &nbsp;
<div style="font-weight:bold;font-family:arial;font-size:85%;">See also related classes:</div><a href="GanttBar.html">GanttBar</a>, <a href="GanttVLine.html">GanttVLine</a> and <a href="MileStone.html">MileStone</a> <p> &nbsp;<hr><span style="font-family:arial;font-size:120%;font-weight:bold;">Class Methods</span><hr><p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_GANTTGRAPH_ADD"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">Add</font><font color="#007700">(</font><font color="#0000BB">$aObject</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Add a new Gantt object</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aObject</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Gantt plot object</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Add a gantt object to the graph. A gantt object is an instance of either:
<ul>
<li> GanttBar
<li> MileStone
<li> GanttVLine
</ul>&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$vline&nbsp;</font><font color="#007700">=&nbsp;new&nbsp;</font><font color="#0000BB">GanttVLine</font><font color="#007700">(</font><font color="#DD0000">"2002-02-28"</font><font color="#007700">);<br /></font><font color="#0000BB">$vline</font><font color="#007700">-&gt;</font><font color="#0000BB">title</font><font color="#007700">-&gt;</font><font color="#0000BB">Set</font><font color="#007700">(</font><font color="#DD0000">"2002-02-28"</font><font color="#007700">);<br /></font><font color="#0000BB">$vline</font><font color="#007700">-&gt;</font><font color="#0000BB">title</font><font color="#007700">-&gt;</font><font color="#0000BB">SetFont</font><font color="#007700">(</font><font color="#0000BB">FF_FONT1</font><font color="#007700">,</font><font color="#0000BB">FS_BOLD</font><font color="#007700">,</font><font color="#0000BB">10</font><font color="#007700">);<br /></font><font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">Add</font><font color="#007700">(</font><font color="#0000BB">$vline</font><font color="#007700">);<br /></font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_GANTTGRAPH_CREATESIMPLE"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">CreateSimple</font><font color="#007700">(</font><font color="#0000BB">$data</font><font color="#007700">,</font><font color="#0000BB">$constrains</font><font color="#007700">,</font><font color="#0000BB">$progress</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>A utility function to help create the Gantt charts</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$data</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Gantt bar specification (See below)</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$constrains</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB"></font><font color="#007700">array()</font><font color="#0000BB"></font>
</font>
</td><td>Constrain specification (see below)</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$progress</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB"></font><font color="#007700">array()</font><font color="#0000BB"></font>
</font>
</td><td>Progress specification (see below)</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>For a simple Gantt graphs this will simplify it's creation. The idea is that this method accepts a number of data arrays which specifies the activities in the Gantt graph.
<p>
<b>Description of arguments</b><br>
<ul>
<li> $data. Specifies the basic type of activity. Eac entry is an array with the following content:
<ol>
<li> Row where activity whould be
<li> Type of activity, can be one of ACTYPE_NORMAL, ACTYPE_GROUP, ACTYUPE_MILESTONE
<li> Activity title
<li> Start date
<li> End date
<li> Caption text
</ol>
<li> $constrains. Specifies potential constrain links between activities each entry is an array with the following content
<ol>
<li> From activity (specified by row)
<li> To activity (specified by row)
<li> Constrain type, (e.g CONSTRAIN_ENDSTART)
</ol>
<li> $progress. Specify a potential progress bar for each activity. Each entry is an array with the following content
<ol>
<li> Activity specification (by row)
<li> Progress as a fraction in the range [0,1]
</ol>
</ul>

&nbsp;<br>
 &nbsp; <div style="font-weight:bold;font-family:arial;font-size:85%;">See also</div><a href="GanttPlotObject.html#_GANTTPLOTOBJECT_SETCONSTRAIN">GanttPlotObject::SetConstrain</a>, <a href="Progress.html#_PROGRESS_SET">Progress::Set</a>, <a href="GanttGraph.html#_GANTTGRAPH_SETSIMPLEFONT">GanttGraph::SetSimpleFont</a> and <a href="GanttGraph.html#_GANTTGRAPH_SETSIMPLESTYLE">GanttGraph::SetSimpleStyle</a>
<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$data&nbsp;</font><font color="#007700">=&nbsp;array(<br />&nbsp;&nbsp;array(</font><font color="#0000BB">0</font><font color="#007700">,</font><font color="#0000BB">ACTYPE_GROUP</font><font color="#007700">,&nbsp;&nbsp;&nbsp;&nbsp;</font><font color="#DD0000">"Phase&nbsp;1"</font><font color="#007700">,&nbsp;&nbsp;</font><font color="#DD0000">"2001-10-26"</font><font color="#007700">,</font><font color="#DD0000">"2001-11-23"</font><font color="#007700">,</font><font color="#DD0000">''</font><font color="#007700">),<br />&nbsp;&nbsp;array(</font><font color="#0000BB">1</font><font color="#007700">,</font><font color="#0000BB">ACTYPE_NORMAL</font><font color="#007700">,&nbsp;&nbsp;&nbsp;</font><font color="#DD0000">"&nbsp;&nbsp;Label&nbsp;2"</font><font color="#007700">,&nbsp;&nbsp;</font><font color="#DD0000">"2001-10-26"</font><font color="#007700">,</font><font color="#DD0000">"2001-11-16"</font><font color="#007700">,</font><font color="#DD0000">''</font><font color="#007700">),<br />&nbsp;&nbsp;array(</font><font color="#0000BB">2</font><font color="#007700">,</font><font color="#0000BB">ACTYPE_NORMAL</font><font color="#007700">,&nbsp;&nbsp;&nbsp;</font><font color="#DD0000">"&nbsp;&nbsp;Label&nbsp;3"</font><font color="#007700">,&nbsp;</font><font color="#DD0000">"2001-11-20"</font><font color="#007700">,</font><font color="#DD0000">"2001-11-22"</font><font color="#007700">,</font><font color="#DD0000">''</font><font color="#007700">),<br />&nbsp;&nbsp;array(</font><font color="#0000BB">3</font><font color="#007700">,</font><font color="#0000BB">ACTYPE_MILESTONE</font><font color="#007700">,</font><font color="#DD0000">"&nbsp;&nbsp;Phase&nbsp;1&nbsp;Done"</font><font color="#007700">,&nbsp;</font><font color="#DD0000">"2001-11-23"</font><font color="#007700">,</font><font color="#DD0000">'M2'</font><font color="#007700">)&nbsp;);<br /><br /></font><font color="#FF8000">//&nbsp;The&nbsp;constrains&nbsp;between&nbsp;the&nbsp;activities<br /></font><font color="#0000BB">$constrains&nbsp;</font><font color="#007700">=&nbsp;array(array(</font><font color="#0000BB">1</font><font color="#007700">,</font><font color="#0000BB">2</font><font color="#007700">,</font><font color="#0000BB">CONSTRAIN_ENDSTART</font><font color="#007700">),<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;array(</font><font color="#0000BB">2</font><font color="#007700">,</font><font color="#0000BB">3</font><font color="#007700">,</font><font color="#0000BB">CONSTRAIN_STARTSTART</font><font color="#007700">));<br /><br /></font><font color="#0000BB">$progress&nbsp;</font><font color="#007700">=&nbsp;array(array(</font><font color="#0000BB">1</font><font color="#007700">,</font><font color="#0000BB">0.4</font><font color="#007700">));<br /><br /></font><font color="#FF8000">//&nbsp;Create&nbsp;the&nbsp;basic&nbsp;graph<br /></font><font color="#0000BB">$graph&nbsp;</font><font color="#007700">=&nbsp;new&nbsp;</font><font color="#0000BB">GanttGraph</font><font color="#007700">();<br /></font><font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">title</font><font color="#007700">-&gt;</font><font color="#0000BB">Set</font><font color="#007700">(</font><font color="#DD0000">"Example&nbsp;with&nbsp;grouping&nbsp;and&nbsp;constrains"</font><font color="#007700">);<br /><br /></font><font color="#FF8000">//&nbsp;Setup&nbsp;scale<br /></font><font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">ShowHeaders</font><font color="#007700">(</font><font color="#0000BB">GANTT_HYEAR&nbsp;</font><font color="#007700">|&nbsp;</font><font color="#0000BB">GANTT_HMONTH&nbsp;</font><font color="#007700">|&nbsp;</font><font color="#0000BB">GANTT_HDAY&nbsp;</font><font color="#007700">|&nbsp;</font><font color="#0000BB">GANTT_HWEEK</font><font color="#007700">);<br /></font><font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">scale</font><font color="#007700">-&gt;</font><font color="#0000BB">week</font><font color="#007700">-&gt;</font><font color="#0000BB">SetStyle</font><font color="#007700">(</font><font color="#0000BB">WEEKSTYLE_FIRSTDAYWNBR</font><font color="#007700">);<br /><br /></font><font color="#FF8000">//&nbsp;Add&nbsp;the&nbsp;specified&nbsp;activities<br /></font><font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">CreateSimple</font><font color="#007700">(</font><font color="#0000BB">$data</font><font color="#007700">,</font><font color="#0000BB">$constrains</font><font color="#007700">,</font><font color="#0000BB">$progress</font><font color="#007700">);<br /><br /></font><font color="#FF8000">//&nbsp;..&nbsp;and&nbsp;stroke&nbsp;the&nbsp;graph<br /></font><font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">Stroke</font><font color="#007700">();</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_GANTTGRAPH_GANTTGRAPH"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">GanttGraph</font><font color="#007700">(</font><font color="#0000BB">$aWidth</font><font color="#007700">,</font><font color="#0000BB">$aHeight</font><font color="#007700">,</font><font color="#0000BB">$aCachedName</font><font color="#007700">,</font><font color="#0000BB">$aTimeOut</font><font color="#007700">,</font><font color="#0000BB">$aInline</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Create a new GanttGraph</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aWidth</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">0</font>
</font>
</td><td>Width of graph</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aHeight</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">0</font>
</font>
</td><td>Height of graph</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aCachedName</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB"></font><font color="#DD0000">""</font><font color="#0000BB"></font>
</font>
</td><td>Filename to use if cache is enables</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aTimeOut</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">0</font>
</font>
</td><td>Timeout in minutes</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aInline</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">true</font>
</font>
</td><td>True=Stream back to browser</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Construct a new GanttGraph. This differs slightly from the standard Graph or PlotGraph in that you are not required to specify width and height of the graph. Instead these can be left out and will be automatically be determined.
<p>
As a further refinement you can just specify width and have the height be automtically determined.
&nbsp;<br>
 &nbsp; <div style="font-weight:bold;font-family:arial;font-size:85%;">See also</div><a href="Graph.html#_GRAPH_GRAPH">Graph::Graph</a>
<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB"></font><font color="#FF8000">//&nbsp;Setup&nbsp;Gantt&nbsp;graph<br /></font><font color="#0000BB">$graph&nbsp;</font><font color="#007700">=&nbsp;new&nbsp;</font><font color="#0000BB">GanttGraph</font><font color="#007700">();<br /></font><font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">SetShadow</font><font color="#007700">();<br /></font><font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">SetBox</font><font color="#007700">();<br /><br /></font><font color="#FF8000">//&nbsp;Only&nbsp;show&nbsp;part&nbsp;of&nbsp;the&nbsp;Gantt<br /></font><font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">SetDateRange</font><font color="#007700">(</font><font color="#DD0000">'2001-11-22'</font><font color="#007700">,</font><font color="#DD0000">'2002-1-24'</font><font color="#007700">);<br /></font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_GANTTGRAPH_SETDATERANGE"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetDateRange</font><font color="#007700">(</font><font color="#0000BB">$aStart</font><font color="#007700">,</font><font color="#0000BB">$aEnd</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Specify date range for Gantt chart.</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aStart</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Start date</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aEnd</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>End date</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify the date range for Gantt graphs. If this is not set it will be automtically determined from the input data.
<p>
All gantt chart objects, like bar activities, will be clipped to the spcified date range should they happen to be wider then the specified range.
<p>
The date is specified as a normal date string according to the chosen locale.
&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">SetDateRange</font><font color="#007700">(</font><font color="#DD0000">'2001-11-22'</font><font color="#007700">,</font><font color="#DD0000">'2002-1-24'</font><font color="#007700">);<br /></font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_GANTTGRAPH_SETLABELVMARGINFACTOR"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetLabelVMarginFactor</font><font color="#007700">(</font><font color="#0000BB">$aVal</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Set margin vertical factor.</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aVal</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Margin factor</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify the fraction of the font height that should be added as vertical margin between the labels.&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$ganttgraph</font><font color="#007700">-&gt;</font><font color="#0000BB">SetLabelVMarginFactor</font><font color="#007700">(</font><font color="#0000BB">0.7</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_GANTTGRAPH_SETSIMPLEFONT"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetSimpleFont</font><font color="#007700">(</font><font color="#0000BB">$aFont</font><font color="#007700">,</font><font color="#0000BB">$aSize</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Specify font for simplified Gantt graph</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aFont</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Font family</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aSize</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Font size</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify font for simplified Gantt graph constructed with CreateSimple&nbsp;<br>
 &nbsp; <div style="font-weight:bold;font-family:arial;font-size:85%;">See also</div><a href="GanttGraph.html#_GANTTGRAPH_CREATESIMPLE">GanttGraph::CreateSimple</a>
<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$ganttgraph</font><font color="#007700">-&gt;</font><font color="#0000BB">SetSimpleFont</font><font color="#007700">(</font><font color="#0000BB">FF_FONT2</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_GANTTGRAPH_SETSIMPLESTYLE"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetSimpleStyle</font><font color="#007700">(</font><font color="#0000BB">$aBand</font><font color="#007700">,</font><font color="#0000BB">$aColor</font><font color="#007700">,</font><font color="#0000BB">$aBkgColor</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Specify style parameters for graphs constructed with CreateSimple</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aBand</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Patern style</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aColor</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Pattern color</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aBkgColor</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Pattern background color</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify looks for bars in Gantt graph when the gantt chart is created with CreateSimple.
<p>
The pattern style can be one of

<ol>
<li>GANTT_RDIAG, Right diagonal lines
<li>GANTT_LDIAG, Left diagonal lines
<li>GANTT_SOLID, Solid one color
<li>GANTT_LVERT, Vertical lines
<li>GANTT_LHOR, Horizontal lines
<li>GANTT_VLINE, Vertical lines
<li>GANTT_HLINE, Horizontal lines
<li>GANTT_3DPLANE, A 3D plane
<li>GANTT_HVCROSS, Crosses
<li>GANTT_DIAGCROSS, Diagonal crosses
</ol>
&nbsp;<br>
 &nbsp; <div style="font-weight:bold;font-family:arial;font-size:85%;">See also</div><a href="GanttGraph.html#_GANTTGRAPH_CREATESIMPLE">GanttGraph::CreateSimple</a> and <a href="GanttBar.html#_GANTTBAR_SETPATTERN">GanttBar::SetPattern</a>
<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$ganttgraph</font><font color="#007700">-&gt;</font><font color="#0000BB">SetSimpleStyle</font><font color="#007700">(</font><font color="#0000BB">GANTT_SOLID</font><font color="#007700">,</font><font color="#DD0000">'orange'</font><font color="#007700">,</font><font color="#DD0000">'orange'</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_GANTTGRAPH_SETVMARGINFACTOR"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetVMarginFactor</font><font color="#007700">(</font><font color="#0000BB">$aVal</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Specify the margin factor for lines in the gantt graph</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aVal</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Vertical margin factor</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify the margin factor for lines in the Gantt graph. A factor of 1 makes each line take just as much space as it needs. A factor of 1.5 makes it 1.5 linmes apart and a factor of 2 makes it double-line spacing and so on.
<p>
<b>Hint:</b> When using icon in titles it is usually a good idea to use a margin factor > 1
&nbsp;<br>
 &nbsp; <div style="font-weight:bold;font-family:arial;font-size:85%;">See also</div><a href="GanttGraph.html#_GANTTGRAPH_SETLABELVMARGINFACTOR">GanttGraph::SetLabelVMarginFactor</a>
<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">SetVMarginFactor</font><font color="#007700">(</font><font color="#0000BB">2</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_GANTTGRAPH_SHOWHEADERS"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">ShowHeaders</font><font color="#007700">(</font><font color="#0000BB">$aFlg</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Determine what headers/scales to display.</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aFlg</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Logic OR of flags to specify what headers should be displayed.</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify what headers should be displayed on the Gantt charts. Possible headers are:
<ul>
<li>GANTT_HYEAR
<li>GANTT_HMONTH
<li>GANTT_HWEEK
<li>GANTT_HDAY
<li>GANTT_HHOUR
<li>GANTT_HMIN
</ul>
To specify multiple header you just bitwise OR the wanted number of headers together.
&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB"></font><font color="#FF8000">//&nbsp;Show&nbsp;all&nbsp;headers<br /></font><font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">ShowHeaders</font><font color="#007700">(</font><font color="#0000BB">GANTT_HYEAR&nbsp;</font><font color="#007700">|&nbsp;</font><font color="#0000BB">GANTT_HMONTH&nbsp;</font><font color="#007700">|&nbsp;</font><font color="#0000BB">GANTT_HDAY&nbsp;</font><font color="#007700">|&nbsp;</font><font color="#0000BB">GANTT_HWEEK</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_GANTTGRAPH_STROKE"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">Stroke</font><font color="#007700">(</font><font color="#0000BB">$aStrokeFileName</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Internal. Stroke the gantt chart.</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aStrokeFileName</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB"></font><font color="#DD0000">""</font><font color="#0000BB"></font>
</font>
</td><td>Filename to stroke image to</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Internal. Stroke the gantt chart. If a filename is specified then the graph will be stroked to that file and will not be sent back to the browser.
<p>
This should as usual be the last method called in your script.
&nbsp;<br>
 &nbsp; <div style="font-weight:bold;font-family:arial;font-size:85%;">See also</div><a href="Graph.html#_GRAPH_STROKE">Graph::Stroke</a>
<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$ganttgraph</font><font color="#007700">-&gt;</font><font color="#0000BB">Stroke</font><font color="#007700">();<br /></font><font color="#0000BB"></font>
</font>
</span><br>
<p> <hr> <p>